Loading...
Searching...
No Matches
QXmppNonza Class Referenceabstract
Inheritance diagram for QXmppNonza:
[legend]

## Public Member Functions

virtual bool | isXmppStanza () const
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Detailed Description

Abstract class for content that can be parsed from DOM and serialized to XML.

If you want to implement a XMPP stanza (IQ, message or presence) then you should use QXmppStanza. Directly inheriting from this class is useful for other elements like stream management elements in the XML stream.

Since
  QXmpp 1.5

## Member Function Documentation

## isXmppStanza()

virtual bool QXmppNonza::isXmppStanza | ( |  | ) | const

inline virtual

Indicates if the QXmppStanza is a stanza in the XMPP sense (i. e. a message, iq or presence)

Since
  QXmpp 1.0 (moved from QXmppStanza in 1.5)

Reimplemented in QXmppIq, QXmppMessage, and QXmppPresence.

## parse()

virtual void QXmppNonza::parse | ( | const QDomElement & |  | ) |

pure virtual

Parses the object from a DOM element.

## toXml()

virtual void QXmppNonza::toXml | ( | QXmlStreamWriter * | writer | ) | const

pure virtual

Serializes the object to XML using a QXmlStreamWriter.

The documentation for this class was generated from the following files:

- QXmppNonza.h
- QXmppNonza.cpp